win = new Window("dialog", "动态选项");
win.orientation = "column";
leftGr = win.add("group");
leftGr.orientation = "column";
sliderGroup44 = leftGr.add("group");
slTxt2 = sliderGroup44.add("staticText", undefined, "显示 | 隐藏：");
check00 = sliderGroup44.add("checkbox", undefined);
check00.value = true;
check00.onClick = function() {
    if (check00.value === true) {
        var idShw = charIDToTypeID("Shw ");
        var desc2242 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list679 = new ActionList();
        var ref1149 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref1149.putEnumerated(idLyr, idOrdn, idTrgt);
        list679.putReference(ref1149);
        desc2242.putList(idnull, list679);
        executeAction(idShw, desc2242, DialogModes.NO);
        app.refresh();
    } else {
        var idHd = charIDToTypeID("Hd  ");
        var desc2241 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list678 = new ActionList();
        var ref1148 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref1148.putEnumerated(idLyr, idOrdn, idTrgt);
        list678.putReference(ref1148);
        desc2241.putList(idnull, list678);
        executeAction(idHd, desc2241, DialogModes.NO);
        app.refresh();
    }
};
sliderGroup44 = leftGr.add("group");
sliderGroup44.alignment = "left";
slTxt2 = sliderGroup44.add("staticText", undefined, "不透明度：");
sliderGroup26 = leftGr.add("group");
sliderGroup26.orientation = "row";
sliderGroup26.alignChildren = ["fill", "fill"];
slTxt = sliderGroup26.add("staticText", undefined, "0");
slider6 = sliderGroup26.add("slider", undefined, 50, 0, 100);
slider6.preferredSize.width = 175;
sliderValue6 = sliderGroup26.add("statictext", undefined, " 50 ");
sliderGroup45 = leftGr.add("group");
sliderGroup45.alignment = "left";
slTxt2 = sliderGroup45.add("staticText", undefined, "羽化：");
sliderGroup27 = leftGr.add("group");
sliderGroup27.orientation = "row";
sliderGroup27.alignChildren = ["fill", "fill"];
slTxt = sliderGroup27.add("staticText", undefined, "0");
slider7 = sliderGroup27.add("slider", undefined, 50, 0, 100);
slider7.preferredSize.width = 175;
sliderValue7 = sliderGroup27.add("statictext", undefined, " 50 ");
slider6.onChanging = function() {
    sliderValue6.text = Math.round(this.value);
};
slider6.onChange = function() {
    foo66 = Math.round(this.value);
    var idsetd = charIDToTypeID("setd");
    var desc18 = new ActionDescriptor();
    var idnull = charIDToTypeID("null");
    var ref10 = new ActionReference();
    var idLyr = charIDToTypeID("Lyr ");
    var idOrdn = charIDToTypeID("Ordn");
    var idTrgt = charIDToTypeID("Trgt");
    ref10.putEnumerated(idLyr, idOrdn, idTrgt);
    desc18.putReference(idnull, ref10);
    var idT = charIDToTypeID("T   ");
    var desc19 = new ActionDescriptor();
    var idOpct = charIDToTypeID("Opct");
    var idPrc = charIDToTypeID("#Prc");
    desc19.putUnitDouble(idOpct, idPrc, foo66);
    var idLyr = charIDToTypeID("Lyr ");
    desc18.putObject(idT, idLyr, desc19);
    executeAction(idsetd, desc18, DialogModes.NO);
    app.refresh();
};
slider7.onChanging = function() {
    sliderValue7.text = Math.round(this.value);
};
slider7.onChange = function() {
    foo66 = Math.round(this.value);
    foo77 = foo66 * 2;
    var idsetd = charIDToTypeID("setd");
    var desc7 = new ActionDescriptor();
    var idnull = charIDToTypeID("null");
    var ref3 = new ActionReference();
    var idLyr = charIDToTypeID("Lyr ");
    var idOrdn = charIDToTypeID("Ordn");
    var idTrgt = charIDToTypeID("Trgt");
    ref3.putEnumerated(idLyr, idOrdn, idTrgt);
    desc7.putReference(idnull, ref3);
    var idT = charIDToTypeID("T   ");
    var desc8 = new ActionDescriptor();
    var iduserMaskFeather = stringIDToTypeID("userMaskFeather");
    var idPxl = charIDToTypeID("#Pxl");
    desc8.putUnitDouble(iduserMaskFeather, idPxl, foo77);
    var idLyr = charIDToTypeID("Lyr ");
    desc7.putObject(idT, idLyr, desc8);
    executeAction(idsetd, desc7, DialogModes.NO);
    app.refresh();
};
closeBtn = leftGr.add("button", undefined, "关闭");
closeBtn.preferredSize.width = 224;
close = false;
closeBtn.onClick = function() {
    close = true;
    win.close();
};
win.onClose = function() {
    close = true;
};
win.show();
while (close === false) {
    app.refresh();
}